<script setup lang="ts">
import { PageContent } from "/@/components/PageContent";
import contentConfig from "./config/content.config";

function transformUpdateInfo(info: string) {
  const m = "<br/>";
  const chunks = info.split(m);
  return chunks;
}
</script>

<template>
  <div>
    <PageContent :content-config="contentConfig">
      <template #expand="{ system }">
        <div class="px-[20px]">
          <p v-for="(item, index) in transformUpdateInfo(system)" :key="index">
            {{ item }}
          </p>
        </div>
      </template>
    </PageContent>
  </div>
</template>
